Package be.e_contract.ejsf.api.metrics

# Class MetricsEvent

java.lang.Object
be.e_contract.ejsf.api.metrics.MetricsEvent

public class MetricsEvent extends Object
CDI event fired to collect runtime metrics.

Author:
  Frank Cornelis

## Constructor Summary

Constructors
Constructor
Description
`MetricsEvent()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addRuntimeMetric(String name, String value, String description)`
`List<Metric>`
`getMetrics()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MetricsEvent

public MetricsEvent()

## Method Details

### addRuntimeMetric

public void addRuntimeMetric(String name, String value, String description)

### getMetrics

public List<Metric> getMetrics()